<div class="cover-content">
  <div class="top-content">
    <span class="title-box">Well Name</span>
    <div class="input-here">
      <xrd-dropdown [data]="optionsWellName" (callback)="callbackDropdown($event)"></xrd-dropdown>
    </div>
    <!-- end/input here -->
  </div>
  <!-- end/top content -->
  <div class="content-loading" *ngIf="isLoading">
    <xrd-spinner></xrd-spinner>
  </div>
  <div class="second-content">
    <div class="box-add">
      <form [formGroup]="form">
        <ul class="list-add" formArrayName="data">
          <li *ngFor="let item of form.get('data')['controls']; let i = index" [formGroupName]="i"
              class="properties-row">
            <xrd-row-black-oil-properties [item]="item.controls.inputs" [submitted]="submitted"
              (callback)="callbackRowBlackOilProperties($event)">
            </xrd-row-black-oil-properties>
            <a href="javascript:;" class="remove-row-btn" (click)="removePropertiesRow(i)">
              <img src="/assets/images/remove.svg" alt="remove">
            </a>
          </li>
        </ul>
      </form>
      <a href="javascript:;" class="click-add" (click)="addSampleID()">Add Sample ID</a>
    </div>
    <!-- end/box add -->
    <div class="box-content">
      <span class="line-top"></span>
      <xrd-table-calculator *ngIf="showTableCalculator" [data]="dataTableCalculators"></xrd-table-calculator>
    </div>
    <!-- end/box content -->
  </div>
  <!-- end/second content -->
</div>
